Passer au contenu principal
GET
/
v1
/
public
/
accounts
/
{account_id}
/
domains
/
{domain}
Obtenir un domaine
curl --request GET \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/domains/{domain} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "outbound_routing_ready": true,
  "status": "<string>",
  "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "auto_renew": false,
  "created_at": "<string>",
  "dedicated_ip_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "dns_records": [
    {
      "id": 123,
      "name": "<string>",
      "ttl": 123,
      "type": "<string>",
      "value": "<string>",
      "is_system_managed": false,
      "priority": 123
    }
  ],
  "inbound_tenant_external_id": "<string>",
  "inbound_tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "inbound_tenant_name": "<string>",
  "inbound_tenant_type": "<string>",
  "mailboxes": [
    {
      "active": true,
      "email": "<string>",
      "first_name": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "last_name": "<string>"
    }
  ],
  "redirect_url": "<string>",
  "tags": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    }
  ],
  "updated_at": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

Autorisations

Authorization
string
header
requis

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

Paramètres de chemin

account_id
string<uuid>
requis
domain
string
requis

Réponse

id
string<uuid>
requis

Domaine UUID

name
string
requis

Nom de domaine

outbound_routing_ready
boolean
requis

Si le routage sortant est prêt

status
string
requis

État du cycle de vie du domaine

workspace_id
string<uuid>
requis

Espace de travail UUID qui contient le domaine

auto_renew
boolean
défaut:false

Si le renouvellement automatique du domaine est activé

created_at
string | null

Horodatage de création de domaine

dedicated_ip_id
string<uuid> | null

IP UUID dédié attribué, le cas échéant

dns_records
DomainDnsRecordResponse · object[]

Enregistrements DNS pour le domaine

inbound_tenant_external_id
string | null

ID externe du fournisseur pour le locataire entrant

inbound_tenant_id
string<uuid> | null

Locataire entrant UUID, s'il est attribué

inbound_tenant_name
string | null

Nom d’affichage du locataire entrant, s’il est attribué

inbound_tenant_type
string | null

Type de locataire entrant, s'il est attribué

mailboxes
DomainMailboxSummary · object[]

Boîtes mail sur le domaine

redirect_mode
enum<string> | null

Mode de redirection configuré, le cas échéant

Options disponibles:
301,
302,
iframe
redirect_url
string | null

URL de redirection configurée, le cas échéant

tags
DomainTagResponse · object[]

Tags attachés au domaine

updated_at
string | null

Horodatage de la dernière mise à jour du domaine